body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(135deg, #030d7a, #597ee4);
  font-family: sans-serif;
}

.container{
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid rgb(0, 0, 0);
  border-radius: 10px;
  padding: 10px 10px;
}

.container:hover{
  transition: 0.4s ease-in-out;
  transform: scale(1.02);
  padding: 20px 20px;
}
.Texts{
  text-align: center;
}

.Content {
  background: rgba(255,255,255,0.15);
  padding: 20px;
  border-radius: 15px;
  backdrop-filter: blur(10px);
  transition: 0.3s ease;
}

.cityInput {
  border: none;
  outline: none;
  padding: 10px;
  border-radius: 12px;
  background: rgba(255,255,255,0.2);
  color: white;
}

.cityInput::placeholder {
  color: #ddd;
}

button{
  background: linear-gradient(135deg, #00c6ff, #0072ff);
  border: none;
  color: white;
  padding: 10px 15px;
  border-radius: 12px;
  cursor: pointer;
  transition: 0.3s;
}

.searchBtn:hover, .locationBtn:hover {
  transform: scale(1.05);
}


.card:hover{
  transform: scale(1.02);
  transition: 0.3s ease-in-out ;
}

.loader {
  width: 40px;
  height: 40px;
  border: 5px solid rgba(255,255,255,0.2);
  border-top: 5px solid white;
  border-radius: 50%;
  animation: spin 1s linear infinite;
  margin: 20px auto;
}

.hidden {
  display: none;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.cityWeather,
.cityTemp {
  color: #ffffff;
  opacity: 0.9;
}

